/* html {
    height: 100%;
} */
body {
    /* margin: 0px;
    padding: 0px; */
    font-family: sans-serif;
    background-color: #f2eee3;
}
.login-box {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    height: inherit;
    border-radius: 15px;
    transform: translate(-50% , -50%);
    background-color: rgba(0, 0, 0, 0.5);
    box-sizing: border-box;
    box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.6);
}
.login-box h2 {
    margin: 0px 0px 30px;
    padding-top: 10px;
    color: #fff;
    text-align: center;
    box-sizing: border-box;
    border-radius: 15px;
}
.login-box h2:hover{
    color: #03c9f4;
    text-shadow: 2px 2px 10px #03c9f4;
    filter: brightness(92%);
}
.login-box .user-box {
    position: relative;
}
.login-box .user-box input {
    width: 90%;
    padding: 20px 20px;
    font-size: 18px;
    color: #fff;
    margin-bottom: 30px;
    border: none;
    border-bottom: 1px solid #fff;
    outline: none;
    background: transparent;
}
.login-box .user-box label {
    transform: translateX(20px);
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 10px 0;
    font-size: 16px;
    color: #fff;
    pointer-events: none;
    transition: 0.5s;
}
.login-box .user-box input:focus ~ label,
.login-box .user-box input:valid ~ label {
    top: -20px;
    left: 0px;
    color: #03e9f4;
    font-size: 12px;
}
.login-box form a {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    color: #03e9f4;
    font-size: 16px;
    text-decoration: none;
    text-transform: uppercase;
    overflow: hidden;
    transition: 0.5s;
    margin-top: 40px;
    letter-spacing: 4px;
}
.login-box a:hover{
    background-color: #03e9f4;
    color: #fff;
    border-radius: 5px;
    box-shadow: 0px 0px 5px #03e9f4, 
                0px 0px 25px #03e9f4,
                0px 0px 50px #03e9f4,
                0px 0px 100px #03e9f4;
    filter: 
        brightness(80%)
        opacity(0.9);            
}
.login-box a span {
    position: absolute;
    display: block;
}
.login-box a span:nth-child(1) {
    top: 0px;
    left: -100%;
    width: 100%;
    height: 2px;
    /* top: 2px;
    width: 2px;
    height: 100%;
    right: 100%; */
    background: linear-gradient(90deg , transparent , #03e9f4) ;
    animation: btn-anim1 1s linear infinite;
    animation-delay: 0.25s;
}
@keyframes btn-anim1{
    0% {
        left: -100%;
    }
    50%, 100%{
        left: 100%;
    }
}
.login-box a span:nth-child(2) {
    top: -100%;
    right: 0px;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, transparent, #03c9f4);
    animation: btn-anim2 1s linear infinite;
    animation-delay: 0.25s;
}
@keyframes btn-anim2{
    0% {
        top: -100%;
    }
    50%, 100% {
        top: 100%;
    }
}
.login-box a span:nth-child(3) {
    bottom: 0px;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, transparent, #03e9f4);
    animation: btn-anim3 1s linear infinite;
    animation-delay: 0.5s;
}
@keyframes btn-anim3 {
    0% {
        right: -100%;
    }
    50%, 100% {
        right: 100%;
    }
}
.login-box a span:nth-child(4) {
    bottom: -100%;
    left: 0px;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg, transparent, #03e9f4);
    animation-delay: 0.75s;
    animation: btn-anim4 1s linear infinite;
}
@keyframes btn-anim4{
    0% {
        bottom: -100%;
    }
    50%, 100% {
        bottom: 100%;
    }
}